API

Electronic Media Search Direct API

Телевидение, радио, каналы, программы, расшифровки, рекламная журналистика и аудиовизуальное новостное покрытие.

Справочник API Версия: 1.0.0 4 Точки доступа Аутентификация
Электронные СМИ

Базовый URL

https://api.pressmonitor.com

Аутентификация

Все запросы используют аутентификацию с токеном Bearer. Добавьте заголовок Authorization ко всем вызовам.

Authorization: Bearer YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /headlines

Параметры

Имя Тип Местоположение Обязательно Описание
keywords_text string query Да
lang_code string query Нет
country_code string query Нет
count integer query Нет
cursor string query Нет
sort string query Нет Sort order (date or relevance)
date_from string query Нет Start date for news (YYYY-MM-DD format)
date_to string query Нет End date for news (YYYY-MM-DD format)

Примеры кода

curl -X GET "https://api.pressmonitor.com/headlines?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success
GET /briefs

Параметры

Имя Тип Местоположение Обязательно Описание
keywords_text string query Да
lang_code string query Нет
country_code string query Нет
count integer query Нет
cursor string query Нет
sort string query Нет Sort order (date or relevance)
date_from string query Нет Start date for news (YYYY-MM-DD format)
date_to string query Нет End date for news (YYYY-MM-DD format)

Примеры кода

curl -X GET "https://api.pressmonitor.com/briefs?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success
GET /fulltext

Параметры

Имя Тип Местоположение Обязательно Описание
keywords_text string query Да
lang_code string query Нет
country_code string query Нет
count integer query Нет
cursor string query Нет
sort string query Нет Sort order (date or relevance)
date_from string query Нет Start date for news (YYYY-MM-DD format)
date_to string query Нет End date for news (YYYY-MM-DD format)

Примеры кода

curl -X GET "https://api.pressmonitor.com/fulltext?keywords_text=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success
GET /clip

Параметры

Имя Тип Местоположение Обязательно Описание
id string query Да Clip/article ID to resolve
date string query Да Date of the clip (YYYY-MM-DD)
ns string query Нет Namespace prefix for multi-tenant index resolution
host string query Нет Host name for tenant resolution
ttl integer query Нет Signed URL time-to-live in seconds

Примеры кода

curl -X GET "https://api.pressmonitor.com/clip?id=VALUE&date=VALUE" -H "Authorization: Bearer YOUR_API_KEY" -H "x-subscription-id: YOUR_SUB_ID"

Ответы

200 Success